# Visualization
TKV3d
Graphic3d

# Graphic3d_Vertex Class Reference

This class allows the creation and update of a
3D point.
.

`#include <Graphic3d_Vertex.hxx>`

Inheritance diagram for Graphic3d_Vertex:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_Vertex ()
| Creates a point with 0.0, 0.0, 0.0 coordinates. .
Standard_EXPORT | Graphic3d_Vertex (const Graphic3d_Vertex &APoint)
| Creates a point with coordinates identical to <apoint>. .
Standard_EXPORT | Graphic3d_Vertex (const Standard_Real AX, const Standard_Real AY, const Standard_Real AZ)
| Creates a point with <ax>, <ay> and <az> coordinates. .
Standard_EXPORT void | SetCoord (const Standard_Real Xnew, const Standard_Real Ynew, const Standard_Real Znew)
| Modifies the coordinates of the point <me>. .
Standard_EXPORT void | SetXCoord (const Standard_Real Xnew)
| Modifies the X coordinate of the point <me>. .
Standard_EXPORT void | SetYCoord (const Standard_Real Ynew)
| Modifies the Y coordinate of the point <me>. .
Standard_EXPORT void | SetZCoord (const Standard_Real Znew)
| Modifies the Z coordinate of the point <me>. .
Standard_EXPORT void | Coord (Standard_Real &AX, Standard_Real &AY, Standard_Real &AZ) const
| Returns the coordinates of the point <me>. .
Standard_EXPORT Standard_Real | X () const
| Returns the X coordinates of the point <me>. .
Standard_EXPORT Standard_Real | Y () const
| Returns the Y coordinate of the point <me>. .
Standard_EXPORT Standard_Real | Z () const
| Returns the Z coordinate of the point <me>. .

## Static Public Member Functions

static Standard_EXPORT Standard_Real | Distance (const Graphic3d_Vertex &AV1, const Graphic3d_Vertex &AV2)
| Returns the distance between <av1> and <av2>. .

## Private Attributes

Standard_ShortReal | MyX
Standard_ShortReal | MyY
Standard_ShortReal | MyZ

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_Vertex::Graphic3d_Vertex | ( |  | ) |

Standard_EXPORT Graphic3d_Vertex::Graphic3d_Vertex | ( | const Graphic3d_Vertex & | APoint | ) |

Standard_EXPORT Graphic3d_Vertex::Graphic3d_Vertex | ( | const Standard_Real | AX,
|  | const Standard_Real | AY,
|  | const Standard_Real | AZ
| ) |

## Member Function Documentation

Standard_EXPORT void Graphic3d_Vertex::Coord | ( | Standard_Real & | AX,
|  | Standard_Real & | AY,
|  | Standard_Real & | AZ
| ) | const

static Standard_EXPORT Standard_Real Graphic3d_Vertex::Distance | ( | const Graphic3d_Vertex & | AV1,
|  | const Graphic3d_Vertex & | AV2
| ) | `[static]`

void Graphic3d_Vertex::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in Graphic3d_VertexC, Graphic3d_VertexN, Graphic3d_VertexNC, and Graphic3d_VertexNT.

void* Graphic3d_Vertex::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in Graphic3d_VertexC, Graphic3d_VertexN, Graphic3d_VertexNC, and Graphic3d_VertexNT.

void* Graphic3d_Vertex::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in Graphic3d_VertexC, Graphic3d_VertexN, Graphic3d_VertexNC, and Graphic3d_VertexNT.

Standard_EXPORT void Graphic3d_Vertex::SetCoord | ( | const Standard_Real | Xnew,
|  | const Standard_Real | Ynew,
|  | const Standard_Real | Znew
| ) |

Standard_EXPORT void Graphic3d_Vertex::SetXCoord | ( | const Standard_Real | Xnew | ) |

Standard_EXPORT void Graphic3d_Vertex::SetYCoord | ( | const Standard_Real | Ynew | ) |

Standard_EXPORT void Graphic3d_Vertex::SetZCoord | ( | const Standard_Real | Znew | ) |

Standard_EXPORT Standard_Real Graphic3d_Vertex::X | ( |  | ) | const

Standard_EXPORT Standard_Real Graphic3d_Vertex::Y | ( |  | ) | const

Standard_EXPORT Standard_Real Graphic3d_Vertex::Z | ( |  | ) | const

## Field Documentation

Standard_ShortReal Graphic3d_Vertex::MyX `[private]`

Standard_ShortReal Graphic3d_Vertex::MyY `[private]`

Standard_ShortReal Graphic3d_Vertex::MyZ `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_Vertex.hxx